--- ares-134/desktop-ui/desktop-ui.cpp  2023-11-22 19:49:33.000000000 +0900
+++ ares-134-fix/desktop-ui/desktop-ui.cpp  2024-01-01 05:34:43.282354463 +0900
@@ -33,6 +33,11 @@
     string shared_location = {Path::sharedData(), "ares/", name};
     if(inode::exists(shared_location)) return shared_location;
 
+    // XXX: Change settings.bml location to match Ares' default behavior.
+    if(directory::exists({Path::userSettings(), "ares/"})) {
+      file::copy({Path::userSettings(), "ares/settings.bml"}, {Path::userData(), "ares/settings.bml"});
+    }
+
     // On non-windows platforms, after exhausting other options,
     // default to userData.
     directory::create({Path::userData(), "ares/"});
